
Redmine - Defect #6144

The rake command redmine:email:receive_imap fails (silently)

2010-08-16 14:45 - herbert koelman
Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

When running the following script file I'm using:

rake -f $LAB_HOME/Rakefile redmine:email:receive_imap RAILS_ENV="production" \

  host=extranet-stme.sf.intra.laposte.fr username="Fo GDI" password="transagdi259*" \

  project=lab --trace

 Nothing is handled and no messages are found neither on stdout nor productin.log file).

On stdout :

(in /tmp)

** Invoke redmine:email:receive_imap (first_time)

** Invoke environment (first_time)

** Execute environment

** Execute redmine:email:receive_imap

spirou(redadm)$

 When I submit these same mails to redmine:email:read, they are correctly handled. So I understand that the mail contents are okay.

History

#1 - 2010-08-16 14:54 - Felix Schäfer

Might your imap server require IMAPS or are the mails stored in a different folder than INBOX?

#2 - 2010-08-16 15:20 - herbert koelman

The server is not using SSL and mails are stored into the default INBOX folder.

Is there a log file I can use to see what the program is doing ? If so, I could send it over.

#3 - 2010-08-16 15:50 - herbert koelman

- Status changed from New to Resolved

I've removed the \ in my shell script and run a new test.

And it's working !!?? Maybe something wrong with the options the rake script received. I'm sure a debug (or verbose) option could have helped me

out :-D

I'm closing this defect and thank you for your quick help.

#4 - 2010-08-16 16:22 - Felix Schäfer

- Status changed from Resolved to Closed

#5 - 2011-10-25 12:46 - Gervase Lindstrom

SPAM
